GENPHY_ANEG_DONE(9)

NAME
genphy_aneg_done - return auto-negotiation status

SYNOPSIS

int genphy_aneg_done(struct phy_device * phydev);

ARGUMENTS

phydev
    target phy_device struct

DESCRIPTION

Reads the status register and returns 0 either if auto-negotiation is incomplete, or if there was an error. Returns BMSR_ANEGCOMPLETE if auto-negotiation is done.

COPYRIGHT